UCSPerViewport Пример |
Sub Example_UCSPerViewport() 'Этот пример создает новую область просмотра пространства листа. 'Затем находит UCSPerViewport для этой области просмотра. Dim pviewportObj As AcadPViewport Dim center(0 To 2) As Double Dim width As Double Dim height As Double 'Определите pviewport center(0) = 3: center(1) = 3: center(2) = 0 width = 40 height = 40 'Изменение пространство модели на пространство листа ThisDrawing.ActiveSpace = acPaperSpace 'Создайте pviewport Set pviewportObj = ThisDrawing.PaperSpace.AddPViewport(center, width, height) ThisDrawing.Regen acAllViewports 'Найдите текущую установку свойства UCSPerViewport MsgBox "UCSPerViewport: " & pviewportObj.UCSPerViewport End Sub